"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const camelCase = require("camel-case");
const pascalCase = require("pascal-case");
function convertScopeToModuleName(scope) {
    if (scope[0] === "." || scope === "root") {
        return camelCase(scope).replace(
        // tslint:disable-next-line max-line-length
        /^(break|case|catch|continue|debugger|default|delete|do|else|finally|for|function|if|in|instanceof|new|return|switch|this|throw|try|typeof|var|void|while|with)$/, "_$1");
    }
    return pascalCase(scope);
}
exports.convertScopeToModuleName = convertScopeToModuleName;
